Criação rápida
curl --request POST \
--url https://api.olie.ai/api/management/projects/quick-store \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Nome do projeto",
"funnel_step_id": 207,
"prefix": "PREFIX",
"customer_id": "019c75de-7e5d-726a-8667-a13179dfad68",
"contact_id": 123,
"from_project_template_id": "019d2617-fa10-73da-91c3-4f096e703eb4"
}
'import requests
url = "https://api.olie.ai/api/management/projects/quick-store"
payload = {
"name": "Nome do projeto",
"funnel_step_id": 207,
"prefix": "PREFIX",
"customer_id": "019c75de-7e5d-726a-8667-a13179dfad68",
"contact_id": 123,
"from_project_template_id": "019d2617-fa10-73da-91c3-4f096e703eb4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Nome do projeto',
funnel_step_id: 207,
prefix: 'PREFIX',
customer_id: '019c75de-7e5d-726a-8667-a13179dfad68',
contact_id: 123,
from_project_template_id: '019d2617-fa10-73da-91c3-4f096e703eb4'
})
};
fetch('https://api.olie.ai/api/management/projects/quick-store', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"project": {
"frame_id": "019c75de-532c-7047-9563-daf1448ca963",
"status": 1,
"impact": 10,
"description": "Criação rápida",
"name": "Nome do projeto",
"contact_id": null,
"customer_id": null,
"code": "ZXC2HQA-22",
"id": "019dd427-bb01-70ec-8f2e-c36442ac755f",
"created_by": "019c75de-509e-711a-8933-175cb2514cc5",
"updated_at": "2026-04-28T12:54:26.000000Z",
"created_at": "2026-04-28T12:54:26.000000Z",
"form_answers": [
{
"id": 36,
"label": "Link",
"answer": null,
"model": "Project",
"answered_by": null,
"updated_at": "2026-04-01T13:03:13.000000Z"
},
{
"id": 37,
"label": "Link",
"answer": null,
"model": "Project",
"answered_by": null,
"updated_at": "2026-04-06T17:14:50.000000Z"
}
],
"frame": {
"id": "019c75de-532c-7047-9563-daf1448ca963",
"old_id": null,
"name": "Olie Company",
"type": "2",
"status": 1,
"subdomain": "olieframe",
"frame_billing_data_id": null,
"model_forms": [
{
"id": 3,
"class": "App\\Models\\FrameRelationship"
},
{
"id": 14,
"class": "App\\Models\\Contact"
},
{
"id": 12,
"class": "App\\Models\\Project"
},
{
"id": 13,
"class": "App\\Models\\Customer"
}
],
"logo_img": null,
"cockpit_access": 1
}
}
}{
"response": false,
"message": "unauthorized",
"error": "Unauthenticated."
}{
"response": false,
"message": "validation_errors",
"error": "O campo nome é obrigatório.",
"validation": {
"name": [
"O campo nome é obrigatório."
]
}
}projects
Criação rápida
O endpoint de criação rápida de projetos permite criar um novo projeto com apenas as informações essenciais, que no endpoint de criação comum, são obrigatórias. Este método é ideal para criação rápida de projetos quando você não precisa configurar todos os detalhes imediatamente.
POST
/
api
/
management
/
projects
/
quick-store
Criação rápida
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Nome do projeto
Example:
"Nome do projeto"
ID da etapa do funil
Example:
207
Prefixo do projeto
Example:
"PREFIX"
ID do cliente
Example:
"019c75de-7e5d-726a-8667-a13179dfad68"
ID do contato
Example:
123
ID do template de projeto
Example:
"019d2617-fa10-73da-91c3-4f096e703eb4"
Was this page helpful?
⌘I